diff -bruN freeswan-1.9.orig/utils/setup freeswan-1.9/utils/setup
--- freeswan-1.9.orig/utils/setup	Wed Mar 14 18:52:41 2001
+++ freeswan-1.9/utils/setup	Mon Jun  4 11:29:01 2001
@@ -12,7 +12,7 @@
 # or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 # for more details.
 #
-# RCSID $Id: setup,v 1.90.2.3 2001/03/14 23:52:41 henry Exp $
+# RCSID $Id: setup,v 1.105 2001/06/01 15:49:14 henry Exp $
 #
 # ipsec         init.d script for starting and stopping
 #               the IPsec security subsystem (KLIPS and Pluto).
@@ -30,7 +30,7 @@
 # description: IPsec provides encrypted and authenticated communications; \
 # KLIPS is the kernel half of it, Pluto is the user-level management daemon.
 
-if test " $IPSECDIR" = " "	# if we were not called by the ipsec command
+if test " $IPSEC_DIR" = " "	# if we were not called by the ipsec command
 then
 	# we must establish a suitable PATH ourselves
 	PATH=/usr/local/sbin:/sbin:/usr/sbin:/usr/local/bin:/bin:/usr/bin
@@ -62,7 +62,7 @@
 done
 if ! test "$found"
 then
-	echo "cannot find ipsec command -- IPsec startup aborted" |
+	echo "cannot find ipsec command -- \`$1' aborted" |
 		logger -s -p daemon.error -t ipsec_setup
 	exit 1
 fi
@@ -72,7 +72,7 @@
 eval `ipsec _confread --varprefix IPSEC --type config setup`
 if test " $IPSEC_confreadstatus" != " "
 then
-	echo "$IPSEC_confreadstatus -- IPsec startup aborted" |
+	echo "$IPSEC_confreadstatus -- \`$1' aborted" |
 		logger -s -p daemon.error -t ipsec_setup
 	exit 1
 fi
@@ -82,6 +82,7 @@
 subsyslock=/var/lock/subsys/ipsec
 info=/var/run/ipsec.info
 sysflags=/proc/sys/net/ipsec
+modules=/proc/modules
 # full rp_filter path is $rpfilter1/interface/$rpfilter2
 rpfilter1=/proc/sys/net/ipv4/conf
 rpfilter2=rp_filter
@@ -100,8 +101,11 @@
 	# load module if necessary
 	if test ! -f $ipsecversion
 	then
+		if test -r $modules		# kernel does have modules
+		then
 		unset MODPATH MODULECONF	# no user overrides!
 		depmod -a >/dev/null 2>&1 && modprobe ipsec
+		fi
 		if test ! -f $ipsecversion
 		then
 			echo "Fatal error, kernel appears to lack KLIPS."
@@ -130,8 +134,8 @@
 	then
 		sysflag "$IPSECfragicmp" "fragicmp" no icmp
 		echo 1 >$sysflags/inbound_policy_check	# no debate
-		sysflag "$IPSECno_eroute_pass" "no_eroute_pass" no no_eroute_pass
-		sysflag "$IPSECopportunistic" "opportunistic" no opportunistic
+		sysflag no "no_eroute_pass" no no_eroute_pass	# obsolete parm
+		sysflag no "opportunistic" no opportunistic	# obsolete parm
 		sysflag "$IPSEChidetos" "hidetos" yes tos
 	else
 		echo "Cannot adjust kernel flags, no $sysflags directory!"
@@ -151,6 +155,26 @@
 			;;
 		esac
 	done
+
+	# set up default eroute if necessary
+	if test " $IPSECpacketdefault" = " "
+	then
+		case "$IPSECno_eroute_pass" in
+		''|no)	IPSECpacketdefault=drop	;;
+		yes)	IPSECpacketdefault=pass	;;
+		*)	echo "$me: unknown (not yes/no) no_eroute_pass value \`$IPSECno_eroute_pass'" >&2
+			IPSECpacketdefault=drop
+			;;
+		esac
+	fi
+	case "$IPSECpacketdefault" in
+	pass|reject)
+		ipsec eroute --label "packetdefault" --replace --eraf inet \
+			--src 0/0 --dst 0/0 --said "%$IPSECpacketdefault"
+		;;
+	drop)	;;
+	*)	echo "$me: unknown packetdefault value \`$IPSECpacketdefault'" >&2 ;;
+	esac
 }
 
 # set up a system flag based on a variable
@@ -160,6 +184,17 @@
 	'')	v="$3"	;;
 	*)	v="$1"	;;
 	esac
+	if test ! -f $sysflags/$4
+	then
+		if test " $v" != " $3"
+		then
+			echo "$me: cannot implement $2=$v because" >&2
+			echo "	$sysflags/$4 does not exist" >&2
+			return 1
+		else
+			return 0	# can't set it, but it's default anyway
+		fi
+	fi
 	case "$v" in
 	yes)	echo 1 >$sysflags/$4	;;
 	no)	echo 0 >$sysflags/$4	;;
@@ -281,7 +316,7 @@
 	# searches, if needed
 	if test " $IPSECplutoload" = " %search"
 	then
-		eval `ipsec _confread --varprefix PLUTO --search auto add start`
+		eval `ipsec _confread --varprefix PLUTO --search auto add start background`
 		if test " $PLUTO_confreadstatus" != " "
 		then
 			echo "plutoload: $PLUTO_confreadstatus" | logit
@@ -304,10 +339,25 @@
 		fi
 	fi
 
-	# ensure plutoload is a superset of plutostart
+	# ensure plutoload > plutoroute > plutostart
 	for s in $IPSECplutostart
 	do
 		found=
+		for lo in $IPSECplutoroute
+		do
+			if test " $lo" = " $s"
+			then
+				found=yes
+			fi
+		done
+		if test ! "$found"
+		then
+			IPSECplutoroute="$IPSECplutoroute $s"
+		fi
+	done
+	for s in $IPSECplutoroute
+	do
+		found=
 		for lo in $IPSECplutoload
 		do
 			if test " $lo" = " $s"
@@ -391,9 +441,10 @@
 	fi
 
 	# quickly establish routing
-	if test " $IPSECplutostart" != " "
+	if test " $IPSECplutoroute" != " "
 	then
-		echo "$IPSECplutostart" | tr ' ' '\n' | column -x -c 100 |
+		echo "$IPSECplutoroute" | 
+			tr ' ' '\n' | column -x -c 100 |
 			tr -s '\t ' '  ' |
 			while read bunch
 			do
@@ -449,6 +500,13 @@
 case "$1" in
   start|--start)
 	# Start things rolling.
+	# First, does it seem to be going already?
+	if test -f $info
+	then
+		echo "FreeS/WAN IPsec apparently already running, start aborted!" | logit
+		exit 1
+	fi
+	# announcement
 	# (Warning, changes to this log message may affect barf.)
 	version="`ipsec --version | awk 'NR == 1 { print $3 }'`"
 	echo "Starting FreeS/WAN IPsec $version..." | logit
@@ -466,10 +524,16 @@
 		exit 1
 	fi
 	>$info
+	if test ! -r $info
+	then
+		echo "...unable to create $info, aborting start!" | logit
+		exit 1
+	fi
 	startklips 2>&1 | logit
 	if test ! -f $ipsecversion	# hard to test startklips exit status
 	then
-		echo "Cannot continue IPsec startup."
+		echo "No KLIPS, cannot continue IPsec startup!"
+		rm -f $info
 		exit 1
 	fi
 	if test -d `dirname $subsyslock`
@@ -508,14 +572,23 @@
 	fore)	plutogo 2>&1 | logit	;;
 	esac
 	echo "...FreeS/WAN IPsec started" | logonly
+
+	echo "Starting background tunnels..." | logit
+	$0 --startbacktunnels
 	;;
 
   stop|--stop)
 	# Shut things down.
-	echo "Stopping FreeS/WAN IPsec..." | logit
 	if test -r $info
 	then
+		echo "Stopping FreeS/WAN IPsec..." | logit
+		status=0
 		. $info
+	else
+		echo "Stop ordered, but IPsec does not appear to be running!" |
+									logit
+		echo "Doing cleanup anyway..." | logit
+		status=1
 	fi
 	if test " $IPSECforwardcontrol" = " yes" -a " $ipforwardingwas" = " 0"
 	then
@@ -531,8 +604,21 @@
 		rm -f $plutopid
 	elif kill -0 `cat $plutopid` 2>/dev/null
 	then
+	  (
+		# kill pluto in 30 secs no matter what.
+		(
+			sleep 30
+			echo "30 second timeout expired. Killing Pluto." | logit
+			kill -9 $plutopid &> /dev/null
+		) &> /dev/null &
+		killpid=$!
 		ipsec whack --shutdown | awk '$1 != "002"' | logit
 		sleep 1			# general paranoia
+		# kill the killpid if we still need to.
+		if kill -0 $killpid &> /dev/null ; then
+			kill -9 $killpid &> /dev/null
+		fi
+	  ) 2> /dev/null
 		if test -s $plutopid
 		then
 			echo "Pluto did not go away!  Killing it:" | logit
@@ -563,6 +649,7 @@
 	fi
 	rm -f $info
 	echo "...FreeS/WAN IPsec stopped" | logonly
+	exit $status
 	;;
 
   restart|--restart)
@@ -570,18 +657,129 @@
 	$0 start
 	;;
 
+  status|--status)
+	if test -f $info
+	then
+		hasinfo=yes
+	fi
+
+	if test -f $subsyslock
+	then
+		haslock=yes
+	fi
+
+	if test -s $plutopid
+	then
+		if ps -p `cat $plutopid` >/dev/null
+		then
+			haspluto=yes
+			plutokind=normal
+		elif ps -C pluto >/dev/null
+		then
+			haspluto=yes
+			plutokind=illicit
+		fi
+	elif ps -C pluto >/dev/null
+	then
+		haspluto=yes
+		plutokind=orphaned
+	fi
+
+	if test -r /proc/net/ipsec_eroute -a \
+		" `wc -l </proc/net/ipsec_eroute`" -gt 0
+	then
+		eroutes=yes
+	fi
+
+	if test -r $ipsecversion
+	then
+		klips=yes
+	elif test -r $modules
+	then
+		klips=maybe
+	else
+		klips=none
+	fi
+               
+	if test "$hasinfo"
+	then
+		echo "started"
+		# might not be a subsystem lock dir, ignore that issue
+		if test "$plutokind" = "normal" -a "$klips" = "yes"
+		then
+			exit 0
+		fi
+		echo "but..."
+		if test ! "$haspluto"
+		then
+			echo "no Pluto running!"
+		else
+			echo "$plutokind Pluto running!"
+		fi
+		case $klips in
+		maybe)  echo "KLIPS module is not loaded!"      ;;
+		none)   echo "no KLIPS in kernel!"              ;;
+		esac
+		if test "$eroutes"
+		then
+		echo "some eroutes exist"
+		fi
+		exit 1
+	else
+		echo "stopped"
+		if test ! "$haslock" -a ! "$haspluto" -a ! "$eroutes"
+		then
+			exit 0
+		fi
+		echo "but..."
+		if test "$haslock"
+		then
+			echo "has subsystem lock!"
+		fi
+		if test "$haspluto"
+		then
+			echo "$plutokind Pluto is running!"
+		fi
+		if test "$eroutes"
+		then
+		echo "some eroutes exist!"
+		fi
+		exit 1
+	fi
+	;;
+
   --version)
-	echo "1"
+	echo "$me $IPSEC_VERSION"
 	exit 0
 	;;
 
   --help)
-	echo "Usage: $me {--start|--stop|--restart}"
+	echo "Usage: $me {--start|--stop|--restart|--status}"
 	exit 0
 	;;
 
+  startbacktunnels|--startbacktunnels)
+	(
+	eval `ipsec _confread --varprefix PLUTO --search auto background`
+	if test " $PLUTO_confreadstatus" != " "
+	then
+		echo "$PLUTO_confreadstatus (start search) -- aborting" |
+								logit
+		exit 1
+	fi
+	IPSECplutobackground="$PLUTO_confreadnames"
+
+	(
+	for TUNNEL in $IPSECplutobackground ; 
+	do
+	  ipsec auto --up $TUNNEL 
+	done
+	) &>/dev/null 
+	) &
+	;;
+
   *)
-	echo "Usage: $me {--start|--stop|--restart}" >&2
+	echo "Usage: $me {--start|--stop|--restart|--status}" >&2
 	exit 2
 esac
 
diff -bruN freeswan-1.9.orig/utils/showdefaults freeswan-1.9/utils/showdefaults
--- freeswan-1.9.orig/utils/showdefaults	Wed Nov 29 16:27:07 2000
+++ freeswan-1.9/utils/showdefaults	Mon Jun  4 11:29:24 2001
@@ -12,10 +12,15 @@
 # or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 # for more details.
 #
-# RCSID $Id: showdefaults,v 1.3 2000/11/29 21:27:07 henry Exp $
+# RCSID $Id: showdefaults,v 1.4 2001/06/01 15:49:14 henry Exp $
 
 info=/var/run/ipsec.info
-me=ipsec_showdefaults
+me="ipsec showdefaults"
+
+case "$1" in
+--help)		echo "Usage: ipsec showdefaults" ; exit 0	;;
+--version)	echo "$me $IPSEC_VERSION" ; exit 0	;;
+esac
 
 # Pick up the info.
 if test -s $info
diff -bruN freeswan-1.9.orig/utils/showhostkey freeswan-1.9/utils/showhostkey
--- freeswan-1.9.orig/utils/showhostkey	Sun Mar 11 23:03:31 2001
+++ freeswan-1.9/utils/showhostkey	Mon Jun  4 11:29:24 2001
@@ -12,19 +12,22 @@
 # or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 # for more details.
 #
-# RCSID $Id: showhostkey,v 1.1.2.1 2001/03/12 04:03:31 henry Exp $
+# RCSID $Id: showhostkey,v 1.8 2001/06/01 15:49:14 henry Exp $
 
 me="ipsec showhostkey"
-usage="Usage: $me [--file secrets] [--left] [--right]"
+usage="Usage: $me [--file secrets] [--left] [--right] [--txt gateway]"
 
 file=/etc/ipsec.secrets
 fmt="dns"
+gw=
 for dummy
 do
 	case "$1" in
 	--file)	file="$2" ; shift	;;
 	--left)	fmt="left"		;;
 	--right)	fmt="right"	;;
+	--txt)	fmt="txt" ; gw="$2" ; shift	;;
+	--version)	echo "$me $IPSEC_VERSION" ; exit 0	;;
 	--help)	echo "$usage" ; exit 0	;;
 	--)	shift ; break		;;
 	-*)	echo "$me: unknown option \`$1'" >&2 ; exit 2	;;
@@ -32,6 +35,11 @@
 	esac
 	shift
 done
+if test " $fmt" = " txt" -a " $gw" = " "
+then
+	echo "$me: --txt gateway value cannot be empty" >&2
+	exit 2
+fi
 
 if test ! -f $file
 then
@@ -54,6 +62,7 @@
 		host = "'"$host"'"
 		file = "'"$file"'"
 		fmt = "'"$fmt"'"
+		gw = "'"$gw"'"
 		comment = ""
 		status = 0
 	}
@@ -75,7 +84,14 @@
 		sub(/^[ \t]+#IN[ \t]+KEY[ \t]+/, (host ".\tIN\tKEY\t"), out)
 		nfound++
 	}
-	inkey && fmt != "dns" && $0 ~ /^[ \t]+#pubkey=/ {
+	inkey && fmt == "txt" && $0 ~ /^[ \t]+#IN[ \t]+KEY[ \t]+/ {
+		out = $0
+		gsub(/[ \t]+/, " ", out)
+		sub(/^ #IN KEY [^ ]+ [^ ]+ [^ ]+ /, "", out)
+		out = "\tIN\tTXT\t\"X-IPsec-Server(10)=" gw " " out "\""
+		nfound++
+	}
+	inkey && (fmt == "left" || fmt == "right") && $0 ~ /^[ \t]+#pubkey=/ {
 		out = $0
 		sub(/^[ \t]+#pubkey=/, ("\t" fmt "rsasigkey="), out)
 		nfound++
diff -bruN freeswan-1.9.orig/utils/updown.firewall freeswan-1.9/utils/updown.firewall
--- freeswan-1.9.orig/utils/updown.firewall	Wed Dec 31 19:00:00 1969
+++ freeswan-1.9/utils/updown.firewall	Wed May 16 10:57:20 2001
@@ -0,0 +1,166 @@
+#! /bin/sh
+# sample updown script for ipchains
+# Copyright (C) 2000  D. Hugh Redelmeier, Henry Spencer
+# sample updown script for iptables
+# Copyright (C) 2000  Luc Lanthier
+# 
+# This program is free software; you can redistribute it and/or modify it
+# under the terms of the GNU General Public License as published by the
+# Free Software Foundation; either version 2 of the License, or (at your
+# option) any later version.  See <http://www.fsf.org/copyleft/gpl.txt>.
+# 
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
+# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
+# for more details.
+#
+# RCSID $Id: updown.firewall,v 1.1.2.9 2001/03/27 18:44:16 lanthierl Exp $
+#
+# Modifications: Add ipchains rules specific to Netwinder OfficeServer to
+# let FreeS/WAN work with the firewall. Dacheng Tang
+
+KERNVER=`uname -r | cut -d. -f 1,2`
+
+# check interface version
+case "$PLUTO_VERSION" in
+1.0)    echo "$0: Pluto interface version 1.0 is obsolete." >&2
+        ;;
+1.1)    ;;
+*)      echo "$0: unknown interface version \`$PLUTO_VERSION'" >&2
+        exit 2
+        ;;
+esac
+
+# check parameter(s)
+case "$*" in
+'')     ;;
+*)      echo "$0: parameters unexpected" >&2
+        exit 2
+        ;;
+esac
+
+# utility functions for route manipulation
+# Meddling with this stuff should never be necessary and is most unwise.
+uproute() {
+    route add -net $PLUTO_PEER_CLIENT_NET netmask $PLUTO_PEER_CLIENT_MASK \
+      dev $PLUTO_INTERFACE gw $PLUTO_NEXT_HOP
+      st=$?
+      if test $st -ne 0
+      then
+        # route has already given its own cryptic message
+        echo "$0: \`route $1 $parms' failed" >&2
+      fi
+      return $st
+}
+
+downroute() {
+    route del -net $PLUTO_PEER_CLIENT_NET netmask $PLUTO_PEER_CLIENT_MASK \
+      dev $PLUTO_INTERFACE gw $PLUTO_NEXT_HOP 
+      st=$?
+      if test $st -ne 0
+      then
+        # route has already given its own cryptic message
+        echo "$0: \`route $1 $parms' failed" >&2
+      fi
+      return $st
+
+}
+
+# the big choice
+case "$PLUTO_VERB" in
+prepare-host|prepare-client)
+        # delete possibly-existing route (preliminary to adding a route)
+        oops="`route del -net $PLUTO_PEER_CLIENT_NET \
+                                        netmask $PLUTO_PEER_CLIENT_MASK 2>&1`"
+        status="$?"
+        if test " $oops" = " " -a " $status" != " 0"
+        then
+                oops="silent error in route command, exit status $status"
+        fi
+        case "$oops" in
+        'SIOCDELRT: No such process')
+                # This is what route (currently -- not documented!) gives
+                # for "could not find such a route".
+                status=0
+                ;;
+        esac
+        exit $status
+        ;;
+route-host|route-client)
+        # connection to this host or client being routed
+        uproute
+        ;;
+unroute-host|unroute-client)
+        # connection to this host or client being unrouted
+        downroute
+        ;;
+up-host)
+        # connection to this host coming up
+        ;;
+down-host)
+        # connection to this host going down
+        ;;
+up-client)
+  if [ "$KERNVER" = "2.2" ];
+  then
+	# add an input rule to let KLIPS decapsulated packets pass ipsec0
+	ipchains -A input -i $PLUTO_INTERFACE -j ACCEPT -p all \
+		-d $PLUTO_MY_CLIENT_NET/$PLUTO_MY_CLIENT_MASK
+        # connection to client subnet, through forwarding firewall, coming up
+        ipchains -I forward -j ACCEPT -b \
+                -s $PLUTO_MY_CLIENT_NET/$PLUTO_MY_CLIENT_MASK \
+                -d $PLUTO_PEER_CLIENT_NET/$PLUTO_PEER_CLIENT_MASK
+  elif [ "$KERNVER" = "2.4" ];
+  then
+    # add an input rule to let KLIPS decapsulated packets pass ipsec0
+    iptables -A INPUT -i $PLUTO_INTERFACE -j ACCEPT \
+        -d $PLUTO_MY_CLIENT_NET/$PLUTO_MY_CLIENT_MASK
+        # connection to client subnet, through forwarding firewall, coming up
+    iptables -I FORWARD -j ACCEPT \
+        -s $PLUTO_MY_CLIENT_NET/$PLUTO_MY_CLIENT_MASK \
+        -d $PLUTO_PEER_CLIENT_NET/$PLUTO_PEER_CLIENT_MASK
+    iptables -I FORWARD -j ACCEPT \
+        -s $PLUTO_PEER_CLIENT_NET/$PLUTO_PEER_CLIENT_MASK \
+        -d $PLUTO_MY_CLIENT_NET/$PLUTO_MY_CLIENT_MASK
+    if ( iptables -t nat -L -n &> /dev/null ) ; then
+      iptables -t nat -I POSTROUTING -j ACCEPT \
+        -s $PLUTO_MY_CLIENT_NET/$PLUTO_MY_CLIENT_MASK \
+        -d $PLUTO_PEER_CLIENT_NET/$PLUTO_PEER_CLIENT_MASK
+    fi
+  fi
+  ;;
+down-client)
+  if [ "$KERNVER" = "2.2" ];
+  then
+	# delete the input rule for the KLIPS decapsulated packets 
+	ipchains -D input -i $PLUTO_INTERFACE -j ACCEPT -p all \
+		-d $PLUTO_MY_CLIENT_NET/$PLUTO_MY_CLIENT_MASK
+        # connection to client subnet, through forwarding firewall, going down
+        ipchains -D forward -j ACCEPT -b \
+                -s $PLUTO_MY_CLIENT_NET/$PLUTO_MY_CLIENT_MASK \
+                -d $PLUTO_PEER_CLIENT_NET/$PLUTO_PEER_CLIENT_MASK
+  elif [ "$KERNVER" = "2.4" ];
+  then
+    # delete the input rule for the KLIPS decapsulated packets
+    iptables -D INPUT -i $PLUTO_INTERFACE -j ACCEPT \
+        -d $PLUTO_MY_CLIENT_NET/$PLUTO_MY_CLIENT_MASK
+        # connection to client subnet, through forwarding firewall, going down
+    iptables -D FORWARD -j ACCEPT \
+        -s $PLUTO_MY_CLIENT_NET/$PLUTO_MY_CLIENT_MASK \
+        -d $PLUTO_PEER_CLIENT_NET/$PLUTO_PEER_CLIENT_MASK
+    iptables -D FORWARD -j ACCEPT \
+        -s $PLUTO_PEER_CLIENT_NET/$PLUTO_PEER_CLIENT_MASK \
+        -d $PLUTO_MY_CLIENT_NET/$PLUTO_MY_CLIENT_MASK
+    if ( iptables -t nat -L -n &> /dev/null ) ; then
+      iptables -t nat -D POSTROUTING -j ACCEPT \
+        -s $PLUTO_MY_CLIENT_NET/$PLUTO_MY_CLIENT_MASK \
+        -d $PLUTO_PEER_CLIENT_NET/$PLUTO_PEER_CLIENT_MASK
+    fi
+  fi
+  # force a zero error code even the ipchains command(s) failed
+  echo "ok"
+  ;;
+*)      echo "$0: unknown verb \`$PLUTO_VERB' or parameter \`$1'" >&2
+        exit 1
+        ;;
+esac
diff -bruN freeswan-1.9.orig/version.c freeswan-1.9/version.c
--- freeswan-1.9.orig/version.c	Mon Feb 26 18:56:08 2001
+++ freeswan-1.9/version.c	Thu Jun  7 14:53:27 2001
@@ -1,2 +1,2 @@
-/* silly pointless RCSID $Id: version.c,v 1.17.2.1 2001/02/26 23:56:08 henry Exp $ */
-static const char freeswan_version[] = "1.9";
+/* silly pointless RCSID $Id: version.c,v 1.19 2001/05/30 13:02:20 henry Exp $ */
+static const char freeswan_version[] = "FreeSWAN-1.9-pkix2";
diff -bruN freeswan-1.9.orig/zlib/Makefile freeswan-1.9/zlib/Makefile
--- freeswan-1.9.orig/zlib/Makefile	Mon Jan 29 17:22:00 2001
+++ freeswan-1.9/zlib/Makefile	Wed May 16 10:57:20 2001
@@ -12,7 +12,7 @@
 # or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 # for more details.
 #
-# RCSID $Id: Makefile,v 1.2 2001/01/29 22:22:00 rgb Exp $
+# RCSID $Id: Makefile,v 1.3 2001/04/21 23:05:24 rgb Exp $
 #
 
 ifndef TOPDIR
@@ -44,19 +44,22 @@
 .S.o:
 	$(CC) -D__ASSEMBLY__ -DNO_UNDERLINE -traditional -c $< -o $*.o
 
-ifdef CONFIG_IPSEC_IPCOMP_ASM_FIXED
-ifdef CONFIG_M586
-  objs-y += match586.o
-  override CFLAGS += -DASMV
-endif
-ifdef CONFIG_M586TSC
-  objs-y += match586.o
-  override CFLAGS += -DASMV
-endif
-ifdef CONFIG_M686
-  objs-y += match686.o
-  override fCFLAGS += -DASMV
-endif
+asm-obj-$(CONFIG_M586)		+= match586.o
+asm-obj-$(CONFIG_M586TSC)	+= match586.o
+asm-obj-$(CONFIG_M586MMX)	+= match586.o
+asm-obj-$(CONFIG_M686)		+= match686.o
+asm-obj-$(CONFIG_MPENTIUMIII)	+= match686.o
+asm-obj-$(CONFIG_MPENTIUM4)	+= match686.o
+asm-obj-$(CONFIG_MK6)		+= match586.o
+asm-obj-$(CONFIG_MK7)		+= match686.o
+asm-obj-$(CONFIG_MCRUSOE)	+= match586.o
+asm-obj-$(CONFIG_MWINCHIPC6)	+= match586.o
+asm-obj-$(CONFIG_MWINCHIP2)	+= match686.o
+asm-obj-$(CONFIG_MWINCHIP3D)	+= match686.o
+
+obj-y += $(asm-obj-y)
+ifneq ($(strip $(asm-obj-y)),)
+  EXTRA_CFLAGS += -DASMV
 endif
 
 active-objs     := $(sort $(obj-y) $(obj-m))
@@ -74,6 +77,9 @@
 
 #
 # $Log: Makefile,v $
+# Revision 1.3  2001/04/21 23:05:24  rgb
+# Update asm directives for 2.4 style makefiles.
+#
 # Revision 1.2  2001/01/29 22:22:00  rgb
 # Convert to 2.4 new style with back compat.
 #
